Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038932
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-07-11 16:342018-08-08 13:06
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision1de5f88e8ae4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038932: Wrong date in Costing tab when manually adjusting a stock decrease: ending date is prior to starting date

DescriptionWrong date in Costing tab when manually adjusting a stock decrease: ending date is prior to starting date
Steps To ReproduceAs group admin role:
   Check Costing Rule does not have Backdated Transactions fixed
   Go to Lemonade product
   Select the transaction related with a Goods Shipment with -3800 units and '24-07-2012' movement date
   Add a manual Cost Adjustment:
      Total Cost Amount: 100
      Accounting Date: today
      Incremental: Y
      Unit Cost: N
   Check in Costing tab the following two entries exist:
      1. 23-07-2012 - today
      2. today - 25-09-2012
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106024)
AtulOpenbravo (developer)
2018-07-30 22:28

Test Plan

- Login as Group Admin Role.
- Check Costing Rule does not have Backdated Transactions fixed
- Go to Lemonade product
- Select the transaction related with a Goods Shipment with -3800 units and '24-07-2012' movement date
- Add a manual Cost Adjustment:
      Total Cost Amount: 100
      Accounting Date: today
      Incremental: Y
      Unit Cost: N
- Check in Costing tab the following entry exists with
Starting Date 24-07-2012
Ending Date 25-09-2012
(0106113)
hgbot (developer)
2018-08-02 11:44

Repository: erp/devel/pi
Changeset: 1de5f88e8ae4e14390b92564d4578ffbc62ac468
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 31 00:08:23 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1de5f88e8ae4e14390b92564d4578ffbc62ac468 [^]

Fixes Issue 38932:Wrong date in Costing tab when manually
adjusting a stock decrease: ending date is prior to
starting date

** Use transaction process date instead of current date
to create costing register

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0106114)
Sandrahuguet (developer)
2018-08-02 11:45

Code review + testing OK
(0106236)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-11 16:34 ngarcia New Issue
2018-07-11 16:34 ngarcia Assigned To => Triage Finance
2018-07-11 16:34 ngarcia Modules => Core
2018-07-11 16:34 ngarcia Triggers an Emergency Pack => No
2018-07-11 16:35 ngarcia Issue Monitored: networkb
2018-07-19 12:02 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-07-25 20:51 AtulOpenbravo Status new => scheduled
2018-07-30 22:28 AtulOpenbravo Note Added: 0106024
2018-08-02 11:44 hgbot Checkin
2018-08-02 11:44 hgbot Note Added: 0106113
2018-08-02 11:44 hgbot Status scheduled => resolved
2018-08-02 11:44 hgbot Resolution open => fixed
2018-08-02 11:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1de5f88e8ae4e14390b92564d4578ffbc62ac468 [^]
2018-08-02 11:45 Sandrahuguet Review Assigned To => Sandrahuguet
2018-08-02 11:45 Sandrahuguet Note Added: 0106114
2018-08-02 11:45 Sandrahuguet Status resolved => closed
2018-08-02 11:45 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106236


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker